Zum Inhalt springen

PHP-Version in Shell für Composer unter Plesk einrichten

Plesk-Pakete Tools

Manchmal ist es notwendig, für SSH-Sitzungen eine bestimmte PHP-Version einzustellen, um zB Composer zu konfigurieren, Laravel zu installieren usw.

Dazu ist es erst nötig, die gewünschte PHP-Version festzulegen:

Dazu im Ordner im dem Composer liegt folgenden Sym-Link anlegen:

ln -s php -> /opt/plesk/php/7.3/bin/php

Dann .bash_profile wie folgt anpassen:

cat ../.bash_profile export PATH=~/account_bin:$PATH

Nach einem Logout und Login steht die PHP-Version zu Verfügung. Sie können dann zB. Laravel installieren:

composer create-project --prefer-dist laravel/laravel usermanager

Folgend noch ein paar weiterführende Artikel von Plesk:

Plesk Composer

Laravel Installation unter Plesk

 PHP-Version für Shell festlegen

 

Zurück